libstdc++: std::lognormal_distribution< _RealType > Class Template Reference

libstdc++

std::lognormal_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Distributions » Normal Distributions

`#include <random>`

## Classes
struct | param_type

## Public Types
typedef _RealType | result_type

## Public Member Functions
| lognormal_distribution (_RealType __m, _RealType __s=_RealType(1))
| lognormal_distribution (const param_type &__p)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator>
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | m () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()
_RealType | s () const

## Friends
template<typename _RealType1, typename _CharT, typename _Traits>
std::basic_ostream< _CharT, _Traits > & | operator<< (std::basic_ostream< _CharT, _Traits > &__os, const std::lognormal_distribution< _RealType1 > &__x)
bool | operator== (const lognormal_distribution &__d1, const lognormal_distribution &__d2)
template<typename _RealType1, typename _CharT, typename _Traits>
std::basic_istream< _CharT, _Traits > & | operator>> (std::basic_istream< _CharT, _Traits > &__is, std::lognormal_distribution< _RealType1 > &__x)

## Detailed Description

template<typename _RealType = double>
class std::lognormal_distribution< _RealType >

A lognormal_distribution random number distribution.

The formula for the normal probability mass function is

Since
  C++11

Definition at line 2956 of file random.h.

## Member Typedef Documentation

## ◆ result_type

template<typename _RealType = double>

typedef _RealType std::lognormal_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2963 of file random.h.

## Constructor & Destructor Documentation

## ◆ lognormal_distribution() [1/3]

template<typename _RealType = double>

std::lognormal_distribution< _RealType >::lognormal_distribution | ( |  | ) |
| inline

Definition at line 3000 of file random.h.

## ◆ lognormal_distribution() [2/3]

template<typename _RealType = double>

std::lognormal_distribution< _RealType >::lognormal_distribution | ( | _RealType | __m,
|  | _RealType | __s = _RealType(1) )
| inlineexplicit

Definition at line 3003 of file random.h.

## ◆ lognormal_distribution() [3/3]

template<typename _RealType = double>

std::lognormal_distribution< _RealType >::lognormal_distribution | ( | const param_type & | __p | ) |
| inlineexplicit

Definition at line 3008 of file random.h.

## Member Function Documentation

## ◆ __generate() [1/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::lognormal_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng )
| inline

Definition at line 3076 of file random.h.

## ◆ __generate() [2/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::lognormal_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )
| inline

Definition at line 3083 of file random.h.

## ◆ __generate() [3/3]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

void std::lognormal_distribution< _RealType >::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )
| inline

Definition at line 3090 of file random.h.

## ◆ m()

template<typename _RealType = double>

_RealType std::lognormal_distribution< _RealType >::m | ( |  | ) | const
| inline

Definition at line 3023 of file random.h.

## ◆ max()

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::max | ( |  | ) | const
| inline

Returns the least upper bound value of the distribution.

Definition at line 3056 of file random.h.

## ◆ min()

template<typename _RealType = double>

result_type std::lognormal_distribution< _RealType >::min | ( |  | ) | const
| inline

Returns the greatest lower bound value of the distribution.

Definition at line 3049 of file random.h.

## ◆ operator()() [1/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::lognormal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |
| inline

Generating functions.

Definition at line 3064 of file random.h.

Referenced by operator()().

## ◆ operator()() [2/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::lognormal_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )
| inline

Definition at line 3069 of file random.h.

## ◆ param() [1/2]

template<typename _RealType = double>

param_type std::lognormal_distribution< _RealType >::param | ( |  | ) | const
| inline

Returns the parameter set of the distribution.

Definition at line 3034 of file random.h.

## ◆ param() [2/2]

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::param | ( | const param_type & | __param | ) |
| inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3042 of file random.h.

## ◆ reset()

template<typename _RealType = double>

void std::lognormal_distribution< _RealType >::reset | ( |  | ) |
| inline

Resets the distribution state.

Definition at line 3016 of file random.h.

## ◆ s()

template<typename _RealType = double>

_RealType std::lognormal_distribution< _RealType >::s | ( |  | ) | const
| inline

Definition at line 3027 of file random.h.

## Friends And Related Symbol Documentation

## ◆ operator<<

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_ostream< _CharT, _Traits > & operator<< | ( | std::basic_ostream< _CharT, _Traits > & | __os,
|  | const std::lognormal_distribution< _RealType1 > & | __x )
| friend

Inserts a lognormal_distribution random number distribution `__x` into the output stream `__os`.

Parameters

  __os | An output stream.
  __x | A lognormal_distribution random number distribution.

Returns
  The output stream with the state of `__x` inserted or in an error state.

## ◆ operator==

template<typename _RealType = double>

bool operator== | ( | const lognormal_distribution< _RealType > & | __d1,
|  | const lognormal_distribution< _RealType > & | __d2 )
| friend

Return true if two lognormal distributions have the same parameters and the sequences that would be generated are equal.

Definition at line 3101 of file random.h.

## ◆ operator>>

template<typename _RealType = double>
template<typename _RealType1, typename _CharT, typename _Traits>

std::basic_istream< _CharT, _Traits > & operator>> | ( | std::basic_istream< _CharT, _Traits > & | __is,
|  | std::lognormal_distribution< _RealType1 > & | __x )
| friend

Extracts a lognormal_distribution random number distribution `__x` from the input stream `__is`.

Parameters

  __is | An input stream.
  __x | A lognormal_distribution random number generator engine.

Returns
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc